Bug 1460396 - Failed while launching imported report based on Chargeback for Projects via REST API.
Failed while launching imported report based on Chargeback for Projects via R...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.7.0
All All
high Severity medium
: GA
: 5.8.1
Assigned To: Gregg Tanzillo
Nandini Chandra
chargeback:api:import
: ZStream
Depends On: 1456742
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 18:10 EDT by Satoe Imaishi
Modified: 2017-08-02 13:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1456742
Environment:
Last Closed: 2017-08-02 13:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-09 18:16:15 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/bc3d903ebc4944ce06cc51f44ded190049cb4e59

commit bc3d903ebc4944ce06cc51f44ded190049cb4e59
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Thu Jun 1 23:00:35 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 18:10:45 2017 -0400

    Merge pull request #15273 from gtanzillo/report-import-symbolize-keys
    
    Ensure report columns serialized as hashes have symbolized keys before importing
    (cherry picked from commit 832975bd4a6cbb4a041acbaf695a29a0201405ee)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460396

 app/models/miq_report/import_export.rb       |  3 +++
 spec/models/miq_report/import_export_spec.rb | 20 +++++++++++++++-----
 2 files changed, 18 insertions(+), 5 deletions(-)
Comment 3 Nandini Chandra 2017-07-04 07:58:39 EDT
Verified in 5.8.1.0
Comment 5 errata-xmlrpc 2017-08-02 13:29:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.